#ifndef __LED_H__
#define __LED_H__

#include "stm32h7xx_hal.h"

#define LED_PORT (GPIOA)
#define LED_PIN  (GPIO_PIN_1)

#ifdef __cplusplus
 extern "C" {
#endif

void led_init(uint16_t led);
void led_off(uint16_t led);
void led_on(uint16_t led);
void led_toggle(uint16_t led);

#ifdef __cplusplus
}
#endif

#endif /* __LED_H__ */
